<?php

namespace App\Mail;

use App\Models\Site;
use Carbon\Carbon;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

use App\Models\AdslSupplier;

class TrafficMismatch extends Mailable
{
	use Queueable, SerializesModels;

	/**
	 * Create a new message instance.
	 *
	 * @return void
	 */
	public function __construct(AdslSupplier $o,Carbon $date)
	{
		$this->aso = $o;
		$this->date = $date;
	}

	/**
	 * Build the message.
	 *
	 * @return $this
	 */
	public function build()
	{
		return $this
			->markdown('email.system.broadband_traffic_mismatch')
			->subject('Traffic Mismatch for '.$this->date)
			->with([
				'site'=>Site::find(1),  // @todo To auto determine
				'date'=>$this->date,
				'aso'=>$this->aso,
			]);
	}
}
